#include <arpa/inet.h>
#include <assert.h>
#include <errno.h>
#include <error.h>
#include <fcntl.h>
#include <getopt.h>
#include <immintrin.h>
#include <inttypes.h>
#include <limits.h>
#include <math.h>
#include <netdb.h>
#include <netinet/in.h>
#include <pthread.h>
#include <sched.h>
#include <semaphore.h>
#include <signal.h>
#include <stdarg.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/mman.h>
#include <sys/socket.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <sys/types.h>
#include <time.h>
#include <unistd.h>

#include "trx_ecpri.h"

#define DEBUG

int main(int argc, char ** argv) {
  TRXEcpriState *s;

  s = malloc(sizeof(TRXEcpriState));
  memset(s, 0, sizeof(*s));

#if 0
  s->rec_mac = "80:fa:5b:92:39:c3";
  s->re_mac = "00:e0:4c:90:20:d3";
  s->rec_if = "enp53s0";
#else
  s->rec_mac = "b8:59:9f:07:7d:db";
  s->re_mac = "04:09:a5:0f:9f:4c";
  s->rec_if = "ens9f1";
#endif
  s->recv_affinity = 39;
  s->send_affinity = 39;
  s->prepare_affinity = 38;
  s->decompress_affinity = 37;
  s->ecpri_period = 800;
  s->flow_id = 0;
  s->sample_rate = 122880000;

  log_info("CLIENT", "Starting client...\n");
  log_info("CLIENT", "rec-mac: %s, re-mac: %s, rec-if: %s", s->rec_mac, s->re_mac, s->rec_if);

  start(s);

  for(int i = 0; i < 1000; i++) {
    sleep(1);
  }

}
